Getting started
Back to home
Getting started

Check domain configuration

Request a DNS and HTTPS configuration check. The response lists the steps of the check in checks (null when the check could not run). A check does not let the caller mark a domain as verified.

POST/api/customer/v1/projects/{projectId}/domains/{domainId}/check

Path parameters

NameValue
projectIdRequired resource ID from an earlier API response.
domainIdRequired resource ID from an earlier API response.

Example request

Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.

curl --request POST "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/domains/${DOMAIN_ID}/check" \
  --header "Authorization: Bearer $HCODE_API_KEY"

Response

The JSON shape is defined in the response schema.

Response schema
{
  "type": "object",
  "properties": {
    "checkFailed": {
      "type": "boolean"
    },
    "configured": {
      "type": "boolean"
    },
    "serving": {
      "type": "boolean"
    },
    "verifiedAt": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "dnsStatus": {
      "type": "string"
    },
    "sslStatus": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "activationStatus": {
      "type": "string"
    },
    "activationMessage": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "ownershipVerification": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "status": {
              "type": "string",
              "enum": [
                "pending",
                "verified",
                "not_required"
              ]
            },
            "record": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "value": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "type",
                    "name",
                    "value"
                  ],
                  "additionalProperties": true
                },
                {
                  "type": "null"
                }
              ]
            },
            "claimExpiresAt": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "status"
          ],
          "additionalProperties": true
        },
        {
          "type": "null"
        }
      ]
    },
    "error": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    },
    "operationId": {
      "type": "string"
    },
    "operations": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "href": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "status",
          "href"
        ]
      }
    }
  },
  "required": [
    "checkFailed"
  ],
  "additionalProperties": true
}

See errors and retries for failure responses.